<template>
	<div class="layout-logo" :style="'height:' + height + 'px;'" v-if="setShowLogo" @click="onThemeConfigChange">
		<img :src="getImageUrl('logo.png')" class="layout-logo-medium-img" alt="" />
	</div>
	<div class="layout-logo-size" :style="'height:' + height + 'px;'" v-else @click="onThemeConfigChange">
		<img :src="getImageUrl('logoMini.png')" class="layout-logo-size-img" alt="" />
	</div>
</template>

<script setup lang="ts" name="layoutLogo">
import { computed } from 'vue';
import { storeToRefs } from 'pinia';
import { useThemeConfig } from '/@/stores/themeConfig';
import { useUserInfo } from '/@/stores/userInfo';
import { getImageUrl } from "/@/utils/tools";

// 定义变量内容
const storesThemeConfig = useThemeConfig();
const { themeConfig } = storeToRefs(storesThemeConfig);
const storesUserInfo = useUserInfo();
const { userInfos } = storeToRefs(storesUserInfo);
// 设置 logo 的显示。classic 经典布局默认显示 logo
const setShowLogo = computed(() => {
	let { isCollapse, layout } = themeConfig.value;
	return !isCollapse || layout === 'classic' || document.body.clientWidth < 1000;
});
const height = computed(() => {
	if (userInfos.value.showTelControl) {// 是否展示坐席话机控制面板
		return 110;
	} else {
		return 90;
	}
})
// logo 点击实现菜单展开/收起
const onThemeConfigChange = () => {
	if (themeConfig.value.layout === 'transverse') return false;
	themeConfig.value.isCollapse = !themeConfig.value.isCollapse;
};
</script>

<style scoped lang="scss">
.layout-logo {
	width: 220px;
	height: 90px;
	display: flex;
	align-items: center;
	justify-content: center;
	box-shadow: rgb(0 21 41 / 2%) 0 1px 4px;
	color: var(--el-color-primary);
	font-size: 16px;
	cursor: pointer;
	animation: logoAnimation 0.3s ease-in-out;
	user-select: none;
	span {
		white-space: nowrap;
		display: inline-block;
	}

	&:hover {
		span {
			color: var(--color-primary-light-2);
		}
	}

}

.layout-logo-size {
	width: 100%;
	height: 90px;
	display: flex;
	cursor: pointer;

	&-img {
		width: 50px;
		margin: auto;
	}


}
</style>
